<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use App\Category;
use App\Post;
use App\Page;
use App\ResultGroup;
use App\Submission;
use App\Settings;

use Session;
use URL;
use Auth;

class ContestResultsController extends Controller
{
    public function results()
    {
        // "Lista dobitnika"
        $pageID = 14;
        $page = Page::where('id',$pageID)->first();

        // page META data ------------------------------------------------------------------ //
        $metaTitle = $page->title;
        $metaDescription = $page->meta_description;
        $metaKeywords = $page->meta_keywords;
        // page META data ------------------------------------------------------------------ //

        // OG tagovi ----------------------------------------------------------------------- //
        $ogType = 'article';
        $ogURL = $ogURL = URL::to('/').'/'.$page->slug;
        $ogImage = null;

        if ($page->image != null):
            $ogImage = $page->image;
        endif;
        // OG tagovi ----------------------------------------------------------------------- //


        // Results
        $submissionStatuses = Submission::submissionStatus();

        $resultGroups = ResultGroup::orderBy('group_order','ASC')->get();

        $weekSettings = Settings::settingsCompetitionWeeks();

        return view('content.lista_dobitnika_custom', compact('page',
                                                'metaTitle','metaDescription','metaKeywords',
                                                'ogType','ogURL','ogImage',
                                                'submissionStatuses','resultGroups','weekSettings'));
    }
}