<?php

namespace App\Http\Controllers;

use Carbon\Carbon;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Mail;

class SendContarctController extends Controller
{
    public function sendContact(Request $request)
    {

        $this->validate($request, [
            'name' => 'required',
            'email' => 'required|email',
            'message' => 'required'
        ]);       

        $sada = Carbon::now();

        $contactDATA = $request->all();

        $contactDATA['msg']['name'] = $request->input('name');
        $contactDATA['msg']['email'] = $request->input('email');
        $contactDATA['msg']['phone'] = $request->input('phone');
        $contactDATA['msg']['company'] = $request->input('company');
        $contactDATA['msg']['message'] = $request->input('message');

        Mail::send('emails.send_contact', $contactDATA, function($message) use ($contactDATA,$sada)
        {
            $message->to(setting('site.email'),'UNILEVER - Opremamo vaš dom! Nagradna igra!')
            // $message->to('davor.kikindjanin@gmail.com','UNILEVER - Opremamo vaš dom! Nagradna igra!')
                    ->from(setting('site.email'),'UNILEVER - Opremamo vaš dom! Nagradna igra!')
                    // ->bcc('webmaster@onestopmarketing.rs', 'OSM')
                    ->sender(setting('site.email'),'UNILEVER - Opremamo vaš dom! Nagradna igra!')
                    ->replyTo(setting('site.email'),'UNILEVER - Opremamo vaš dom! Nagradna igra!')
                    ->subject('UNILEVER - Opremamo vaš dom! Nagradna igra! - '.date('d.m.Y. H:i:s', strtotime($sada)));
        });

        if (Mail::failures()):

            $msg = __('site.msg_err');
            return response()->json(['msg' => $msg], 200);
        else:

            $msg = __('site.msg_contact_ok');
            return response()->json(['msg' => $msg], 200);

        endif;


        return $request->all();
    }
}
