<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use DB;
use Auth;
use Log;
use Carbon\Carbon;

use App\User;
use App\Submission;
use App\SMSRequests;

class WService_SMSStatusController extends Controller
{
/**
     * API SMS status update
     *
     * @return \Illuminate\Http\Response
     */
    public function updateStatus(Request $request)
    {

        // Check if SMS is ENABLED
        if (setting('sms.enable_sms') == 1):

            // if POST is complete
            $validator = \Validator::make($request->all(), [
                'msgid' => 'required',
                'status' => 'required',
            ]);

            if ($validator->fails()) {
                return response()->json(['errors'=>$validator->errors()],422);
            }

            $sada = Carbon::now();

            $msgid = $request->input('msgid');
            $status = $request->input('status');

            $updateSMSStatusExist = SMSRequests::where('sms_msgid',$msgid)->get();

            if (count($updateSMSStatusExist) != 0):

                $updateSMSStatus = SMSRequests::where('sms_msgid',$msgid)
                                                    ->update([
                                                        'status' => $status
                                                    ]);

                // Console LOG for Request
                Log::info('SMSStatus...'.json_encode($request->all()).'|'.$sada.'|status:'.$status);


                $sve['success'] = true;
                $sve['message'] = setting('sms.rsp_status_updated_message');
                $httpResponse = 200;

                return response()->json($sve,$httpResponse);

            else:

                // SMS is NOT ENABLED
                $sve['success'] = false;
                $sve['message'] = 'msgid not found';
                $httpResponse = 422;

                return response()->json($sve,$httpResponse);

            endif;

        else:

            // SMS is NOT ENABLED
            $sve = array();
            $httpResponse = 401;

            return response()->json($sve,$httpResponse);

        endif;
    }
}
