@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
            </ul>
        </div>
    @endif

    <div class="row">

        <div class="col col-xl-12">

            {!! Form::open(array('route' => 'modules.store','method'=>'POST','enctype'=>'multipart/form-data')) !!}

            <div class="card">

                <div class="card-body">

                    <div class="row">

                        <div class="col-xl-8">

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control required" name="title" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_title')</label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_body'):</label>
                                        <textarea id="body" name="body">adasd</textarea>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-xl-4">

                            <hr class="d-block d-xl-none">

                            <div class="row">
                                <div class="col-lg-6">

                                    <div class="row">
                                        <div class="col mb-4 ml-4">
                                            <div class="form-check form-switch">
                                                <input class="form-check-input" type="checkbox" role="switch" id="postStatus" name="status" value="1" />
                                                <label class="form-check-label" for="postStatus">@lang('dashboard.title_status')</label>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-lg-6">

                                    <div class="row">
                                        <div class="col mb-4">
                                            <div class="form-outline">
                                                <input type="text" id="formControlDefault" class="form-control" name="module_order" />
                                                <label class="form-label" for="formControlDefault">@lang('dashboard.title_display_order')</label>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="fw-bold required">@lang('dashboard.title_theme_positions')</label>
                                    <select class="form-select" aria-label="@lang('dashboard.title_theme_positions')" name="theme_position_id">
                                        <option value="" selected>@lang('dashboard.title_choose')</option>
                                        @foreach ($themePositions as $position)
                                            <option value="{{ $position->id }}">{{ $position->name }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="fw-bold">@lang('dashboard.title_categories')</label>
                                    <select class="form-select" aria-label="@lang('dashboard.title_categories')" name="category_id" onchange="getPostsForCat()">
                                        <option value="" selected>@lang('dashboard.title_choose')</option>
                                        @foreach ($categories_SEL as $category)
                                            @if ($category->parent_id == null)
                                            <option value="{{ $category->id }}" {{ ($category['active'] == '0')? 'disabled':'' }}>{{ $category->name }}</option>
                                            @endif
                                            @foreach ($category->childrenCategories as $childCategory)
                                                @include(
                                                    'categories.child_category',
                                                    [
                                                        'child_category' => $childCategory,
                                                        'parent_url' => $category->slug,
                                                        'before' => '-',
                                                        'selected_cat' => $categoriesForAttribute
                                                    ]
                                                    )
                                            @endforeach
                                        @endforeach
                                    </select>
                                    <div class="form-helper">* Choose specific <strong>post</strong> or <strong>number of posts</strong> displayed in module.</div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">

                                    <div class="row">
                                        <div class="col mb-4">
                                            <label class="fw-bold">@lang('dashboard.title_posts')</label>
                                            <select class="form-select" aria-label="@lang('dashboard.title_posts')" name="post_id" disabled>
                                                <option value="" selected>@lang('dashboard.title_choose')</option>
                                            </select>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-auto">

                                    <div class="row">
                                        <div class="col mb-4">
                                            <div class="form-group">
                                                <label class="fw-bold" for="formControlDefault">@lang('dashboard.title_number_of_posts')</label>
                                                <input type="text" id="formControlDefault" class="form-control" name="no_of_posts" style="width: 130px" disabled />
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="fw-bold">@lang('dashboard.title_pages')</label>
                                    <select class="form-select" aria-label="@lang('dashboard.title_pages')" name="page_id">
                                        <option value="" selected>@lang('dashboard.title_choose')</option>
                                        @foreach ($pages as $page)
                                            <option value="{{ $page->id }}">{{ $page->title }}</option>
                                        @endforeach
                                    </select>
                                </div>
                            </div>

                            <hr>

                            <div class="row mb-3">
                                <div class="col">
                                    <div class="form-outline">
                                        <input type="text" id="moduleURL" class="form-control" name="module_url" placeholder="https://www...." />
                                        <label class="form-label" for="moduleURL">@lang('dashboard.title_url')</label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-6">
                                    <div class="form-group">
                                        <label class="fw-bold" for="moduleTarget">@lang('dashboard.title_target')</label>
                                        <select class="form-select" aria-label="@lang('dashboard.title_target')" name="module_url_target">
                                            <option value="" selected>@lang('dashboard.title_choose')</option>
                                            <option value="_self">@lang('dashboard.title_target_self')</option>
                                            <option value="_blank">@lang('dashboard.title_target_blank')</option>
                                        </select>
                                      </div>
                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="form-label fw-bold" for="moduleImage">@lang('dashboard.title_image')</label>
                                    <input type="file" class="form-control" id="moduleImage" name="module_image"/>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="form-label fw-bold" for="moduleBackImage">@lang('dashboard.title_background_image')</label>
                                    <input type="file" class="form-control" id="moduleBackImage" name="back_image"/>
                                </div>
                            </div>

                            <color_picker></color_picker>

                        </div>

                    </div>

                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6">@lang('dashboard.btn_submit')</button>
                        </div>
                    </div>

                </div>

            </div>

            {!! Form::close() !!}

        </div>

    </div>

    <tinymce
        :data_tm = "{{ json_encode($tm) }}"
    >
    </tinymce>

@endsection