@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
            </ul>
        </div>
    @endif

    <div class="row">

        <div class="col col-xl-12">

            {!! Form::open(array('route' => 'pages.store','method'=>'POST','enctype'=>'multipart/form-data')) !!}

            <div class="card">

                <div class="card-body">

                    <div class="row">

                        <div class="col-xl-8">

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="title" onBlur="convertToSlug('title')" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_title')</label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_excerpt'):</label>
                                        <textarea id="excerpt" name="excerpt"></textarea>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold">@lang('dashboard.title_body'):</label>
                                        <textarea id="body" name="body"></textarea>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-xl-4">

                            <hr class="d-block d-xl-none">


                            <div class="row">
                                <div class="col mb-4 ml-4">
                                    <div class="form-check form-switch">
                                        <input class="form-check-input" type="checkbox" role="switch" id="pageStatus" name="status" value="1" />
                                        <label class="form-check-label" for="pageStatus">@lang('dashboard.title_status')</label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="slug" />
                                        <label class="form-label" for="formControlDefault">@lang('dashboard.title_slug')</label>
                                    </div>
                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="form-label fw-bold" for="pageImage">@lang('dashboard.title_image')</label>
                                    <input type="file" class="form-control" id="pageImage" name="page_image"/>
                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold" for="metaDesc">@lang('dashboard.title_meta_description')</label>
                                        <textarea class="form-control rounded-0" id="metaDesc" rows="5" name="meta_description"></textarea>
                                      </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold" for="metaDesc">@lang('dashboard.title_meta_keywords')</label>
                                        <textarea class="form-control rounded-0" id="metaDesc" rows="5" name="meta_keywords"></textarea>
                                      </div>
                                </div>
                            </div>

                        </div>

                    </div>

                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6">@lang('dashboard.btn_submit')</button>
                        </div>
                    </div>

                </div>

            </div>

            {!! Form::close() !!}

        </div>

    </div>

    <tinymce
        :data_tm = "{{ json_encode($tm) }}"
    >
    </tinymce>

@endsection