@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')


    @if (count($errors) > 0)
        <div class="alert alert-danger">
            <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
            </ul>
        </div>
    @endif


    <div class="row">

        <div class="col col-xl-6">

            {!! Form::open(array('route' => 'roles.store','method'=>'POST')) !!}

            <div class="card">

                <div class="card-body">


                    <div class="row">
                        <div class="col mb-4">
                            <div class="form-outline">
                                <input type="text" id="formControlDefault" class="form-control" name="name" />
                                <label class="form-label" for="formControlDefault">@lang('dashboard.title_name'):</label>
                            </div>
                        </div>
                    </div>

                    <div class="row">
                        <div class="col">
                            <div class="form-group">
                                <strong>@lang('dashboard.title_permission'):</strong>
                                <br/><br/>
                                @foreach($permission as $value)
                                    <label>{{ Form::checkbox('permission[]', $value->id, false, array('class' => 'name')) }}
                                    {{ $value->name }}</label>
                                <br/>
                                @endforeach
                            </div>
                        </div>
                    </div>

                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6">@lang('dashboard.btn_submit')</button>
                        </div>
                    </div>
            
                </div>

            </div>

            {!! Form::close() !!}

        </div>

    </div>

@endsection