@extends('dashboard.index')

@section('contentDashboard')

    @include('dashboard.page_header')

    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif

    <table class="table table-hover table-sm">
        <thead>
            <tr>
                <th width="60px">@lang('dashboard.title_number')</th>
                <th>@lang('dashboard.title_key_name')</th>
                <th>@lang('dashboard.title_display_name')</th>
                <th>@lang('dashboard.title_type')</th>
                <th>@lang('dashboard.title_group')</th>
                <th>@lang('dashboard.title_display_order')</th>
                <th width="130px">@lang('dashboard.title_action')</th>
            </tr>
        </thead>
        <tbody>
        @foreach ($settings as $i => $setting)
            <tr>
                <td class="text-center">{{ ++$i }}</td>
                <td>{{ $setting->key_name }}</td>
                <td>{{ $setting->display_name }}</td>
                <td class="text-center">{{ $setting->type }}</td>
                <td class="text-center">{{ $setting->group }}</td>
                <td class="text-center">{{ $setting->order }}</td>
                <td class="text-center">
                {{-- <a class="btn btn-info btn-sm  py-2 my-1" href="{{ route('settings.show',$setting->id) }}"><i class="far fa-eye"></i></a> --}}

                @can('page-edit')
                    <a class="btn btn-primary btn-sm  py-2 my-1" href="{{ route('settings.edit',$setting->id) }}"><i class="far fa-edit"></i></a>
                @endcan

                @can('page-delete')

                    <btn_modal_delete
                        :data_del = "{{ json_encode($setting) }}"
                        :data_route = "{{ json_encode(route('settings.destroy',$setting->id)) }}"
                    ></btn_modal_delete>

                    @include('dashboard.modal_delete')

                @endcan

                </td>
            </tr>
        @endforeach
        </tbody>
    </table>

    {!! $settings->render() !!}

@endsection