@extends('dashboard.index')

@section('contentDashboard')

  @include('dashboard.page_header')

  @if ($message = Session::get('success'))
  <div class="alert alert-success">
    <p>{{ $message }}</p>
  </div>
  @endif

  <table class="table table-hover table-sm">
    <thead>
      <tr>
        <th width="60px">No</th>
        <th>@lang('dashboard.title_name')</th>
        <th>@lang('dashboard.title_email')</th>
        <th>@lang('dashboard.title_phone')</th>
        <th>@lang('dashboard.title_roles')</th>
        <th width="120px">@lang('dashboard.title_action')</th>
      </tr>
    </thead>
    <tbody>
  @foreach ($data as $key => $user)
    <tr>
      <td class="text-center">{{ ++$i }}</td>
      <td>{{ $user->name }} {{ $user->last_name }}</td>
      <td>{{ $user->email }}</td>
      <td>{{ $user->phone }}</td>
      <td class="text-center">
        @if(!empty($user->getRoleNames()))
          @foreach($user->getRoleNames() as $v)
            <label class="badge badge-success">{{ $v }}</label>
          @endforeach
        @endif
      </td>
      <td class="text-center">
        <a class="btn btn-info btn-sm py-2 my-1" href="{{ route('users.show',$user->id) }}"><i class="far fa-eye"></i></a>
        
        @can('user-edit')
        <a class="btn btn-primary btn-sm py-2 my-1" href="{{ route('users.edit',$user->id) }}"><i class="far fa-edit"></i></a>
        @endcan

        @can('user-delete')

        <btn_modal_delete
            :data_del = "{{ json_encode($user) }}"
            :data_route = "{{ json_encode(route('users.destroy',$user->id)) }}"
        ></btn_modal_delete>

        @include('dashboard.modal_delete')

    @endcan

      </td>
    </tr>
  @endforeach
    </tbody>
  </table>

  {!! $data->render() !!}

@endsection