<?php $__env->startSection('contentDashboard'); ?>

    <?php echo $__env->make('dashboard.page_header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

    <?php if(count($errors) > 0): ?>
        <div class="alert alert-danger">
            <ul>
            <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <li><?php echo e($error); ?></li>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
        </div>
    <?php endif; ?>

    <div class="row">

        <div class="col col-xl-12">

            <?php echo Form::model($page, ['method' => 'PATCH','route' => ['pages.update', $page->id],'enctype'=>'multipart/form-data']); ?>


            <?php echo csrf_field(); ?>

            <div class="card">

                <div class="card-body">

                    <div class="row">

                        <div class="col-xl-8">

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="title" value="<?php echo e($page->title); ?>" />
                                        <label class="form-label" for="formControlDefault"><?php echo app('translator')->get('dashboard.title_title'); ?></label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold"><?php echo app('translator')->get('dashboard.title_excerpt'); ?>:</label>
                                        <textarea id="excerpt" name="excerpt"><?php echo $page->excerpt; ?></textarea>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold"><?php echo app('translator')->get('dashboard.title_body'); ?>:</label>
                                        <textarea id="body" name="body"><?php echo $page->body; ?></textarea>
                                    </div>
                                </div>
                            </div>

                        </div>

                        <div class="col-xl-4">

                            <hr class="d-block d-xl-none">

                            <div class="row">
                                <div class="col-lg-6">

                                    <div class="row">
                                        <div class="col mb-4 ml-4">
                                            <div class="form-check form-switch">
                                                <input class="form-check-input" type="checkbox" role="switch" id="pageStatus" name="status" value="1" <?php echo e(($page->status == 1)? 'checked':''); ?> />
                                                <label class="form-check-label" for="pageStatus"><?php echo app('translator')->get('dashboard.title_status'); ?></label>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                                <div class="col-lg-6">

                                    <div class="row">
                                        <div class="col">
                                            <label class="fw-bold mr-1"><?php echo app('translator')->get('dashboard.title_author'); ?>:</label><?php echo e($page->author_name); ?> <?php echo e($page->author_last_name); ?>

                                        </div>
                                    </div>

                                </div>
                            </div>

                            <div class="row">
                                <div class="col mb-4">
                                    <div class="form-outline">
                                        <input type="text" id="formControlDefault" class="form-control" name="slug" value="<?php echo e($page->slug); ?>" />
                                        <label class="form-label" for="formControlDefault"><?php echo app('translator')->get('dashboard.title_slug'); ?></label>
                                    </div>
                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col mb-4">
                                    <label class="form-label fw-bold" for="pageImage"><?php echo app('translator')->get('dashboard.title_image'); ?></label>
                                    <input type="file" class="form-control" id="pageImage" name="page_image"/>
                                </div>
                            </div>

                            <?php if($page->page_image != null): ?>
                            <div class="row">
                                <div class="col mb-4">
                                
                                    <div class="dsplIMG">
                                        <img src="/storage/pages/<?php echo e($page->page_image); ?>" class="img-fluid" title="<?php echo e($page->title); ?>">
                                    </div>
                                    <div id="imgDELETE" class="btn btn-danger btn-sm mt-2" onclick="delIMG('pages','page_image',<?php echo e($page->id); ?>)"><i class="far fa-trash-alt"></i></div>

                                </div>
                            </div>
                            <?php endif; ?>

                            <hr>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold" for="metaDesc"><?php echo app('translator')->get('dashboard.title_meta_description'); ?></label>
                                        <textarea class="form-control rounded-0" id="metaDesc" rows="5" name="meta_description"><?php echo e($page->meta_keywords); ?></textarea>
                                      </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="form-group">
                                        <label class="fw-bold" for="metaDesc"><?php echo app('translator')->get('dashboard.title_meta_keywords'); ?></label>
                                        <textarea class="form-control rounded-0" id="metaDesc" rows="5" name="meta_keywords"><?php echo e($page->meta_keywords); ?></textarea>
                                      </div>
                                </div>
                            </div>

                        </div>

                    </div>

                </div>

                <div class="card-footer">

                    <div class="row">
                        <div class="col text-right">
                            <button type="submit" class="btn btn-primary px-5 col col-lg-6"><?php echo app('translator')->get('dashboard.btn_submit'); ?></button>
                        </div>
                    </div>

                </div>

            </div>

            <?php echo Form::close(); ?>


        </div>

    </div>

    <tinymce
        :data_tm = "<?php echo e(json_encode($tm)); ?>"
    >
    </tinymce>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('dashboard.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/nagradnaigradove/public_html/nagradnaigra-dove-rs-PROD_11.2024/resources/views/pages/edit.blade.php ENDPATH**/ ?>